Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class ExternalOperationProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.ExternalOperationProperty

public class ExternalOperationProperty
extends ObjectProperty

An enumerated type used to describe the properties of External Operations in the portal. External Operations support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static ExternalOperationProperty` | `CommandLine` The command to run for this External Operation.
`static ExternalOperationProperty` | `RunAsPassword` The password to run as for the External Operation.
`static ExternalOperationProperty` | `RunAsUser` The user to run as for the External Operation.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CommandLine

    public static final ExternalOperationProperty CommandLine

  The command to run for this External Operation.

### RunAsUser

    public static final ExternalOperationProperty RunAsUser

  The user to run as for the External Operation.

### RunAsPassword

    public static final ExternalOperationProperty RunAsPassword

  The password to run as for the External Operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.